/**
 * Test case for apemansleep.
 * Runs with mocha.
 */
'use strict'

const Apemansleep = require('../lib/apemansleep.js')
const assert = require('assert')
const co = require('co')

describe('apemansleep', () => {
  before(() => co(function * () {
  }))

  after(() => co(function * () {
  }))

  it('Apemansleep', () => co(function * () {
    let sleep = new Apemansleep()
    let d1 = new Date()
    yield sleep.sleep(200)
    let d2 = new Date()
    assert.ok(d2 - d1 >= 200)
    sleep.sleep(1200)
    sleep.cancelAll()
  }))
})

/* global describe, before, after, it */
